import os
import time
import threading
from PIL import Image, ImageSequence
from PIL import ImageFont, ImageDraw
from luma.core.interface.serial import i2c
from luma.core.render import canvas
from luma.oled.device import ssd1306

serial_64 = i2c(port=1, address=0x3D)
device_64 = ssd1306(serial_64, width=128, height=64)

def image_gif1():
        # Open a GIF file and create an Image object for each frame
    frames = []
    with Image.open("./cat.gif") as img:
        for frame in ImageSequence.Iterator(img):
            frames.append(frame.convert("1").resize((128,64)))

    while True:
    # Display each image with an idea
        for frame in frames:
            device_64.display(frame)
            time.sleep(0.01)


if __name__ == '__main__':
    image_gif1()
